varying lowp vec2 v_texCoord;
varying lowp vec2 v_texCoord1;

uniform sampler2D u_texture;

varying lowp vec4 v_color;

void main() {
	vec3 back     = texture2D(u_texture, v_texCoord).rgb;	
	vec4 value    = texture2D(u_texture, v_texCoord1);	
			
	float intensity = v_color.b;

	vec3 color = mix(back, value.rgb*value.a, value.a)*intensity;
	gl_FragColor =  vec4(color, 1.0); 
}
