attribute highp vec4 a_position;
attribute mediump vec3 a_normal;
attribute mediump vec2 a_texCoord;
uniform highp mat4 u_modelViewMatrix;
uniform highp mat4 u_modelViewProjectionMatrix;
uniform highp float u_time;

varying mediump vec3 v_normal;
varying mediump vec2 v_texCoord;
varying mediump vec2 v_texCoord2;

void main() {
	gl_Position = u_modelViewProjectionMatrix * a_position;
	v_texCoord = a_texCoord;
	v_texCoord2   = vec2(a_texCoord.x -u_time*0.02, a_texCoord.y)*24.0;
	v_normal = vec3(-0.181818, 0.75455, 0.818182);
}