attribute highp vec4 a_position;
attribute mediump vec2 a_texCoord;
attribute mediump vec2 a_texCoord1;
attribute lowp vec4 a_color;

uniform highp mat4 u_modelViewMatrix;
uniform highp mat4 u_modelViewProjectionMatrix;
uniform lowp vec4 u_color4;

varying mediump vec2 v_texCoord;
varying mediump vec2 v_texCoord1;

varying lowp vec4 v_color;

void main() {
	gl_Position = u_modelViewProjectionMatrix * a_position;
	v_texCoord = a_texCoord;
	v_texCoord1= a_texCoord1;
	v_color = a_color * u_color4;
}
